unordered_map.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <unordered_map> More...

`#include <cereal/cereal.hpp>`
`#include <unordered_map>`

Go to the source code of this file.

## Functions

template<class Archive , class MapT >
void | cereal::unordered_map_detail::save (Archive &ar, MapT const &map)
template<class Archive , class MapT >
void | cereal::unordered_map_detail::load (Archive &ar, MapT &map)
template<class Archive , class K , class T , class H , class KE , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::unordered_map< K, T, H, KE, A > const &unordered_map)
| Saving for std::unordered_map.
template<class Archive , class K , class T , class H , class KE , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::unordered_map< K, T, H, KE, A > &unordered_map)
| Loading for std::unordered_map.
template<class Archive , class K , class T , class H , class KE , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::unordered_multimap< K, T, H, KE, A > const &unordered_multimap)
| Saving for std::unordered_multimap.
template<class Archive , class K , class T , class H , class KE , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::unordered_multimap< K, T, H, KE, A > &unordered_multimap)
| Loading for std::unordered_multimap.

## Detailed Description

Support for types found in <unordered_map>